<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<html lang="en">

<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <title>LCOV - lcov.info - widget\settlements_item.dart</title>
  <link rel="stylesheet" type="text/css" href="../gcov.css">
</head>

<body>

  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="title">LCOV - code coverage report</td></tr>
    <tr><td class="ruler"><img src="../glass.png" width=3 height=3 alt=""></td></tr>

    <tr>
      <td width="100%">
        <table cellpadding=1 border=0 width="100%">
          <tr>
            <td width="10%" class="headerItem">Current view:</td>
            <td width="35%" class="headerValue"><a href="../index.html">top level</a> - <a href="index.html">widget\settlements_item.dart</a> - settlements_item.dart<span style="font-size: 80%;"> (source / <a href="settlements_item.dart.func-sort-c.html">functions</a>)</span></td>
            <td width="5%"></td>
            <td width="15%"></td>
            <td width="10%" class="headerCovTableHead">Hit</td>
            <td width="10%" class="headerCovTableHead">Total</td>
            <td width="15%" class="headerCovTableHead">Coverage</td>
          </tr>
          <tr>
            <td class="headerItem">Test:</td>
            <td class="headerValue">lcov.info</td>
            <td></td>
            <td class="headerItem">Lines:</td>
            <td class="headerCovTableEntry">42</td>
            <td class="headerCovTableEntry">46</td>
            <td class="headerCovTableEntryHi">91.3 %</td>
          </tr>
          <tr>
            <td class="headerItem">Date:</td>
            <td class="headerValue">Sat Jan  7 15:41:32 2023</td>
            <td></td>
            <td class="headerItem">Functions:</td>
            <td class="headerCovTableEntry">0</td>
            <td class="headerCovTableEntry">0</td>
            <td class="headerCovTableEntryHi">-</td>
          </tr>
          <tr><td><img src="../glass.png" width=3 height=3 alt=""></td></tr>
        </table>
      </td>
    </tr>

    <tr><td class="ruler"><img src="../glass.png" width=3 height=3 alt=""></td></tr>
  </table>

  <table cellpadding=0 cellspacing=0 border=0>
    <tr>
      <td><br></td>
    </tr>
    <tr>
      <td>
<pre class="sourceHeading">          Line data    Source code</pre>
<pre class="source">
<a name="1"><span class="lineNum">       1 </span>            : import 'package:flutter/material.dart';</a>
<a name="2"><span class="lineNum">       2 </span>            : import 'package:google_fonts/google_fonts.dart';</a>
<a name="3"><span class="lineNum">       3 </span>            : import 'package:descubreecuador/models/settlement.dart';</a>
<a name="4"><span class="lineNum">       4 </span>            : import 'package:descubreecuador/src/settlement/settlement_page.dart';</a>
<a name="5"><span class="lineNum">       5 </span>            : </a>
<a name="6"><span class="lineNum">       6 </span>            : class SettlementItem extends StatelessWidget {</a>
<a name="7"><span class="lineNum">       7 </span>            :   final Settlement settlement;</a>
<a name="8"><span class="lineNum">       8 </span>            : </a>
<a name="9"><span class="lineNum">       9 </span><span class="lineCov">          2 :   const SettlementItem({Key? key, required this.settlement}) : super(key: key);</span></a>
<a name="10"><span class="lineNum">      10 </span>            : </a>
<a name="11"><span class="lineNum">      11 </span><span class="lineCov">          1 :   @override</span></a>
<a name="12"><span class="lineNum">      12 </span>            :   Widget build(BuildContext context) {</a>
<a name="13"><span class="lineNum">      13 </span>            :     //Card with the Settlement information</a>
<a name="14"><span class="lineNum">      14 </span><span class="lineCov">          1 :     return InkWell(</span></a>
<a name="15"><span class="lineNum">      15 </span><span class="lineNoCov">          0 :       onTap: (() {</span></a>
<a name="16"><span class="lineNum">      16 </span>            :         ///Navigate toSettlementDetailPage(settlement)</a>
<a name="17"><span class="lineNum">      17 </span><span class="lineNoCov">          0 :         Navigator.push(</span></a>
<a name="18"><span class="lineNum">      18 </span>            :             context,</a>
<a name="19"><span class="lineNum">      19 </span><span class="lineNoCov">          0 :             MaterialPageRoute(</span></a>
<a name="20"><span class="lineNum">      20 </span><span class="lineNoCov">          0 :                 builder: (context) =&gt; SettlementDetailPage(settlement)));</span></a>
<a name="21"><span class="lineNum">      21 </span>            :       }),</a>
<a name="22"><span class="lineNum">      22 </span><span class="lineCov">          1 :       child: Card(</span></a>
<a name="23"><span class="lineNum">      23 </span>            :         shape: const RoundedRectangleBorder(</a>
<a name="24"><span class="lineNum">      24 </span>            :             borderRadius: BorderRadius.only(</a>
<a name="25"><span class="lineNum">      25 </span>            :                 topLeft: Radius.circular(20),</a>
<a name="26"><span class="lineNum">      26 </span>            :                 bottomRight: Radius.circular(20))),</a>
<a name="27"><span class="lineNum">      27 </span>            :         elevation: 5,</a>
<a name="28"><span class="lineNum">      28 </span><span class="lineCov">          1 :         child: Padding(</span></a>
<a name="29"><span class="lineNum">      29 </span>            :           padding: const EdgeInsets.all(15.0),</a>
<a name="30"><span class="lineNum">      30 </span><span class="lineCov">          1 :           child: Column(</span></a>
<a name="31"><span class="lineNum">      31 </span>            :             crossAxisAlignment: CrossAxisAlignment.start,</a>
<a name="32"><span class="lineNum">      32 </span><span class="lineCov">          1 :             children: [</span></a>
<a name="33"><span class="lineNum">      33 </span><span class="lineCov">          2 :               Row(children: [</span></a>
<a name="34"><span class="lineNum">      34 </span><span class="lineCov">          1 :                 Column(</span></a>
<a name="35"><span class="lineNum">      35 </span>            :                   crossAxisAlignment: CrossAxisAlignment.start,</a>
<a name="36"><span class="lineNum">      36 </span><span class="lineCov">          1 :                   children: [</span></a>
<a name="37"><span class="lineNum">      37 </span><span class="lineCov">          1 :                     SizedBox(</span></a>
<a name="38"><span class="lineNum">      38 </span><span class="lineCov">          4 :                       width: MediaQuery.of(context).size.width * .9,</span></a>
<a name="39"><span class="lineNum">      39 </span><span class="lineCov">          1 :                       child: Row(</span></a>
<a name="40"><span class="lineNum">      40 </span>            :                         mainAxisAlignment: MainAxisAlignment.spaceBetween,</a>
<a name="41"><span class="lineNum">      41 </span><span class="lineCov">          1 :                         children: [</span></a>
<a name="42"><span class="lineNum">      42 </span><span class="lineCov">          1 :                           SizedBox(</span></a>
<a name="43"><span class="lineNum">      43 </span><span class="lineCov">          4 :                             width: MediaQuery.of(context).size.width * .6,</span></a>
<a name="44"><span class="lineNum">      44 </span><span class="lineCov">          1 :                             child: Text(</span></a>
<a name="45"><span class="lineNum">      45 </span><span class="lineCov">          2 :                               settlement.nombreComercial ?? &quot;&quot;,</span></a>
<a name="46"><span class="lineNum">      46 </span><span class="lineCov">          1 :                               style: GoogleFonts.roboto(</span></a>
<a name="47"><span class="lineNum">      47 </span>            :                                 fontSize:</a>
<a name="48"><span class="lineNum">      48 </span><span class="lineCov">          3 :                                     MediaQuery.of(context).textScaleFactor * 18,</span></a>
<a name="49"><span class="lineNum">      49 </span>            :                                 fontWeight: FontWeight.w800,</a>
<a name="50"><span class="lineNum">      50 </span>            :                               ),</a>
<a name="51"><span class="lineNum">      51 </span>            :                             ),</a>
<a name="52"><span class="lineNum">      52 </span>            :                           ),</a>
<a name="53"><span class="lineNum">      53 </span><span class="lineCov">          1 :                           SizedBox(</span></a>
<a name="54"><span class="lineNum">      54 </span><span class="lineCov">          4 :                             width: MediaQuery.of(context).size.width * .2,</span></a>
<a name="55"><span class="lineNum">      55 </span><span class="lineCov">          1 :                             child: Text(</span></a>
<a name="56"><span class="lineNum">      56 </span><span class="lineCov">          2 :                               settlement.categoria ?? &quot;&quot;,</span></a>
<a name="57"><span class="lineNum">      57 </span><span class="lineCov">          1 :                               style: GoogleFonts.roboto(</span></a>
<a name="58"><span class="lineNum">      58 </span>            :                                 fontSize:</a>
<a name="59"><span class="lineNum">      59 </span><span class="lineCov">          3 :                                     MediaQuery.of(context).textScaleFactor * 12,</span></a>
<a name="60"><span class="lineNum">      60 </span>            :                                 fontWeight: FontWeight.w600,</a>
<a name="61"><span class="lineNum">      61 </span>            :                               ),</a>
<a name="62"><span class="lineNum">      62 </span>            :                             ),</a>
<a name="63"><span class="lineNum">      63 </span>            :                           ),</a>
<a name="64"><span class="lineNum">      64 </span>            :                         ],</a>
<a name="65"><span class="lineNum">      65 </span>            :                       ),</a>
<a name="66"><span class="lineNum">      66 </span>            :                     ),</a>
<a name="67"><span class="lineNum">      67 </span>            :                     const SizedBox(</a>
<a name="68"><span class="lineNum">      68 </span>            :                       height: 5,</a>
<a name="69"><span class="lineNum">      69 </span>            :                     ),</a>
<a name="70"><span class="lineNum">      70 </span><span class="lineCov">          1 :                     Text(</span></a>
<a name="71"><span class="lineNum">      71 </span><span class="lineCov">          2 :                       settlement.clasificacion ?? &quot;&quot;,</span></a>
<a name="72"><span class="lineNum">      72 </span>            :                       //)</a>
<a name="73"><span class="lineNum">      73 </span><span class="lineCov">          1 :                       style: GoogleFonts.roboto(</span></a>
<a name="74"><span class="lineNum">      74 </span><span class="lineCov">          3 :                           fontSize: MediaQuery.of(context).textScaleFactor * 12,</span></a>
<a name="75"><span class="lineNum">      75 </span>            :                           color: Colors.grey),</a>
<a name="76"><span class="lineNum">      76 </span>            :                     ),</a>
<a name="77"><span class="lineNum">      77 </span>            :                   ],</a>
<a name="78"><span class="lineNum">      78 </span>            :                 ),</a>
<a name="79"><span class="lineNum">      79 </span>            :               ]),</a>
<a name="80"><span class="lineNum">      80 </span>            : </a>
<a name="81"><span class="lineNum">      81 </span>            :               const SizedBox(</a>
<a name="82"><span class="lineNum">      82 </span>            :                 height: 5,</a>
<a name="83"><span class="lineNum">      83 </span>            :               ),</a>
<a name="84"><span class="lineNum">      84 </span><span class="lineCov">          2 :               Row(children: [</span></a>
<a name="85"><span class="lineNum">      85 </span><span class="lineCov">          1 :                 SizedBox(</span></a>
<a name="86"><span class="lineNum">      86 </span><span class="lineCov">          4 :                     width: MediaQuery.of(context).size.width * .6,</span></a>
<a name="87"><span class="lineNum">      87 </span><span class="lineCov">          1 :                     child: Text(</span></a>
<a name="88"><span class="lineNum">      88 </span><span class="lineCov">          2 :                       settlement.direccion ?? &quot;&quot;,</span></a>
<a name="89"><span class="lineNum">      89 </span><span class="lineCov">          1 :                       style: GoogleFonts.roboto(</span></a>
<a name="90"><span class="lineNum">      90 </span><span class="lineCov">          3 :                         fontSize: MediaQuery.of(context).textScaleFactor * 12,</span></a>
<a name="91"><span class="lineNum">      91 </span>            :                       ),</a>
<a name="92"><span class="lineNum">      92 </span>            :                     )),</a>
<a name="93"><span class="lineNum">      93 </span>            :               ]),</a>
<a name="94"><span class="lineNum">      94 </span>            :               //ubicación canton provincia</a>
<a name="95"><span class="lineNum">      95 </span><span class="lineCov">          2 :               Row(children: [</span></a>
<a name="96"><span class="lineNum">      96 </span><span class="lineCov">          1 :                 Text(</span></a>
<a name="97"><span class="lineNum">      97 </span><span class="lineCov">          5 :                   &quot;${settlement.canton ?? &quot;&quot;} - ${settlement.provincia ?? &quot;&quot;}&quot;,</span></a>
<a name="98"><span class="lineNum">      98 </span><span class="lineCov">          1 :                   style: GoogleFonts.roboto(</span></a>
<a name="99"><span class="lineNum">      99 </span><span class="lineCov">          3 :                     fontSize: MediaQuery.of(context).textScaleFactor * 12,</span></a>
<a name="100"><span class="lineNum">     100 </span>            :                   ),</a>
<a name="101"><span class="lineNum">     101 </span>            :                 ),</a>
<a name="102"><span class="lineNum">     102 </span>            :               ]),</a>
<a name="103"><span class="lineNum">     103 </span>            :             ],</a>
<a name="104"><span class="lineNum">     104 </span>            :           ),</a>
<a name="105"><span class="lineNum">     105 </span>            :         ),</a>
<a name="106"><span class="lineNum">     106 </span>            :       ),</a>
<a name="107"><span class="lineNum">     107 </span>            :     );</a>
<a name="108"><span class="lineNum">     108 </span>            :   }</a>
<a name="109"><span class="lineNum">     109 </span>            : }</a>
</pre>
      </td>
    </tr>
  </table>
  <br>

  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="ruler"><img src="../glass.png" width=3 height=3 alt=""></td></tr>
    <tr><td class="versionInfo">Generated by: <a href="http://ltp.sourceforge.net/coverage/lcov.php" target="_parent">LCOV version 1.15.alpha0w</a></td></tr>
  </table>
  <br>

</body>
</html>
